// -*- c++ -*-
/***************************************************************************
                          connector.h  -  description
                             -------------------
    begin                : Sat Juli 07 2002
    copyright            : (C) 2002 by mb 
    email                : marcus@sqlgui.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef CONNECTOR_H
#define CONNECTOR_H

#include <kparts/part.h>


class QString;

class Connector
{

public:
  Connector(QString u, KParts::ReadOnlyPart *p);
  Connector();
  ~Connector();

  void setPart( KParts::ReadOnlyPart *p );
  void setUrl(QString u);
  QString* getUrl();  
  KParts::ReadOnlyPart* getConnectedPart();
  bool isHostConnected( QString *h );
  bool isURLConnected( QString *h );


private:
  QString *url;
  KParts::ReadOnlyPart *part;

}




#endif
