/***************************************************************************
                          sqlgui_factory.cpp  -  description
                             -------------------
    begin                : Mon Apr 29 2002
    copyright            : (C) 2002 by mb
    email                : beranek@uni-duesseldorf.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
//#include "sqlgui_part.h"

/*
#include <kparts/factory.h>
#include <kdebug.h>
#include <klocale.h>
#include <kstddirs.h>
#include <kinstance.h>
#include <kaboutdata.h>

#include "sqlgui_part.h"
#include "sqlguiview.h"
#include "sqlguidoc.h"
*/

/****************/
/* Old Version: */
/****************/

/*
extern "C"
{
    void* init_libsqlgui()
    {
    return new SqlGuiFactory;
    }
};

KInstance* SqlGuiFactory::s_instance = 0L;
KAboutData* SqlGuiFactory::s_about = 0L;

SqlGuiFactory::SqlGuiFactory( QObject* parent, const char* name )
    : KLibFactory( parent, name )
{
}

SqlGuiFactory::~SqlGuiFactory()
{
  delete s_instance;
  s_instance = 0L;
  delete s_about;
}

QObject* SqlGuiFactory::create( QObject* parent, const char* name,
                                 const char* classname, const QStringList & )
{
  if ( parent && !parent->inherits("QWidget") )
  {
    kdError() << "SqlGuiFactory: parent does not inherit QWidget" << endl;
    return 0L;
  }

  SqlGuiPart* part = new SqlGuiPart( (QWidget*) parent, name );

// we are just a read-only-part (in fact, that isn't true, but who cares...)

//  // readonly ?
//  if (QCString(classname) == "KParts::ReadOnlyPart")
//     part->setReadWrite(false);
//
//  // otherwise, it has to be readwrite
//  else if (QCString(classname) != "KParts::ReadWritePart")
//  {
//    kdError() << "classname isn't ReadOnlyPart nor ReadWritePart !" << endl;
//    return 0L;
//  }

  emit objectCreated( part );
  return part;
}

QObject * SqlGuiFactory::createObject( QObject* parent, const char* name,
                                 const char* classname, const QStringList & )
{
  if ( parent && !parent->inherits("QWidget") )
  {
    kdError() << "SqlGuiFactory: parent does not inherit QWidget" << endl;
    return 0L;
  }
  SqlGuiPart* part = new SqlGuiPart( (QWidget*) parent, name );
//  emit objectCreated( part );
  return part;
}

KInstance* SqlGuiFactory::instance()
{
  if( !s_instance )
  {
    s_about = new KAboutData( "sqlguipart",
                              I18N_NOOP( "SqlGui" ), "0.3.6" );
    s_instance = new KInstance( s_about );
  }
  return s_instance;
}

#include "sqlgui_factory.moc"
*/

/*****************/
/* KDE-2 Version */
/*****************/

/*
class SqlGuiFactory : public KParts::Factory{

	public:

		SqlGuiFactory() : KParts::Factory(){}

		virtual ~SqlGuiFactory(){
			delete s_instance;
			delete s_about;
			s_instance = 0L;
		}

		virtual KParts::Part *createPartObject(
					QWidget *parentWidget = 0, const char* widgetName = 0,
					QObject *parent = 0 , const char* name = 0, const char* classname = "KParts::Part",
					QStringList &args = QStringList() ){
			SqlGuiPart* obj = new SqlGuiPart( parentWidget, widgetName, parent, name, args );
			return obj;
		}

		static KInstance* instance(){
			if( ! s_instance ){
				s_about = SqlGuiPart::createAboutData();
				s_instance = new KInstance( s_about );
			}
			return s_instance;
		}

	private:
		
		static KInstance* s_instance;
		static KAboutData* s_about;

};

KInstance* SqlGuiPartFactory::s_instance = 0L;
KAboutData* SqlGuiFactory::s_about = 0L;

extern "C"
{
	void * init_libsqlguipart(){
		return new SqlGuiFactory;
	}
}
*/
